﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.Repository.BusinessPartner {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="BusinessPartner.IBPService")]
    public interface IBPService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerList", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListResponse")]
        ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[] GetBusinessPartnerList(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerList", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[]> GetBusinessPartnerListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerListSearch", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListSearchResponse")]
        ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[] GetBusinessPartnerListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pNameBP, string pTypeBP);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerListSearch", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[]> GetBusinessPartnerListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pNameBP, string pTypeBP);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerById", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerByIdResponse")]
        ARGNS.Model.Implementations.SAP.BusinessPartnerSAP GetBusinessPartnerById(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFCRD1, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFs);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerById", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerByIdResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP> GetBusinessPartnerByIdAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFCRD1, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFs);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerListByType", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListByTypeResponse")]
        ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[] GetBusinessPartnerListByType(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerListByType", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListByTypeResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[]> GetBusinessPartnerListByTypeAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetStateList", ReplyAction="http://tempuri.org/IBPService/GetStateListResponse")]
        ARGNS.Model.Implementations.SAP.StateSAP[] GetStateList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCountry);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetStateList", ReplyAction="http://tempuri.org/IBPService/GetStateListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.StateSAP[]> GetStateListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCountry);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetCustomerAgingReport", ReplyAction="http://tempuri.org/IBPService/GetCustomerAgingReportResponse")]
        ARGNS.Model.Implementations.View.JsonObjectResult GetCustomerAgingReport(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pBP);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetCustomerAgingReport", ReplyAction="http://tempuri.org/IBPService/GetCustomerAgingReportResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetCustomerAgingReportAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pBP);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/AddBusinessPartner", ReplyAction="http://tempuri.org/IBPService/AddBusinessPartnerResponse")]
        string AddBusinessPartner(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/AddBusinessPartner", ReplyAction="http://tempuri.org/IBPService/AddBusinessPartnerResponse")]
        System.Threading.Tasks.Task<string> AddBusinessPartnerAsync(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/UpdateBusinessPartner", ReplyAction="http://tempuri.org/IBPService/UpdateBusinessPartnerResponse")]
        string UpdateBusinessPartner(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/UpdateBusinessPartner", ReplyAction="http://tempuri.org/IBPService/UpdateBusinessPartnerResponse")]
        System.Threading.Tasks.Task<string> UpdateBusinessPartnerAsync(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerListByUser", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListByUserResponse")]
        ARGNS.Model.Implementations.View.JsonObjectResult GetBusinessPartnerListByUser(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType, bool pOnlyActiveBPs, string pCodeBP, string pNameBP, bool FilterByUser, System.Nullable<int> pSECode, string[] pBPGroupCardCodeList, bool pGetLeads, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn, bool pFilterByBP, string licTradNum);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerListByUser", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerListByUserResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetBusinessPartnerListByUserAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType, bool pOnlyActiveBPs, string pCodeBP, string pNameBP, bool FilterByUser, System.Nullable<int> pSECode, string[] pBPGroupCardCodeList, bool pGetLeads, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn, bool pFilterByBP, string licTradNum);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerMinimalData", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerMinimalDataResponse")]
        ARGNS.Model.Implementations.SAP.BusinessPartnerSAP GetBusinessPartnerMinimalData(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCardCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IBPService/GetBusinessPartnerMinimalData", ReplyAction="http://tempuri.org/IBPService/GetBusinessPartnerMinimalDataResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP> GetBusinessPartnerMinimalDataAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCardCode);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IBPServiceChannel : ARGNS.Repository.BusinessPartner.IBPService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class BPServiceClient : System.ServiceModel.ClientBase<ARGNS.Repository.BusinessPartner.IBPService>, ARGNS.Repository.BusinessPartner.IBPService {
        
        public BPServiceClient() {
        }
        
        public BPServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public BPServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public BPServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public BPServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[] GetBusinessPartnerList(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetBusinessPartnerList(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[]> GetBusinessPartnerListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetBusinessPartnerListAsync(pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[] GetBusinessPartnerListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pNameBP, string pTypeBP) {
            return base.Channel.GetBusinessPartnerListSearch(pCompanyParam, pCodeBP, pNameBP, pTypeBP);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[]> GetBusinessPartnerListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pNameBP, string pTypeBP) {
            return base.Channel.GetBusinessPartnerListSearchAsync(pCompanyParam, pCodeBP, pNameBP, pTypeBP);
        }
        
        public ARGNS.Model.Implementations.SAP.BusinessPartnerSAP GetBusinessPartnerById(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFCRD1, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFs) {
            return base.Channel.GetBusinessPartnerById(pCompanyParam, pCode, pListUDFCRD1, pListUDFs);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP> GetBusinessPartnerByIdAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFCRD1, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFs) {
            return base.Channel.GetBusinessPartnerByIdAsync(pCompanyParam, pCode, pListUDFCRD1, pListUDFs);
        }
        
        public ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[] GetBusinessPartnerListByType(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType) {
            return base.Channel.GetBusinessPartnerListByType(pCompanyParam, pType);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP[]> GetBusinessPartnerListByTypeAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType) {
            return base.Channel.GetBusinessPartnerListByTypeAsync(pCompanyParam, pType);
        }
        
        public ARGNS.Model.Implementations.SAP.StateSAP[] GetStateList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCountry) {
            return base.Channel.GetStateList(pCompanyParam, pCountry);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.StateSAP[]> GetStateListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCountry) {
            return base.Channel.GetStateListAsync(pCompanyParam, pCountry);
        }
        
        public ARGNS.Model.Implementations.View.JsonObjectResult GetCustomerAgingReport(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pBP) {
            return base.Channel.GetCustomerAgingReport(pCompanyParam, pBP);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetCustomerAgingReportAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pBP) {
            return base.Channel.GetCustomerAgingReportAsync(pCompanyParam, pBP);
        }
        
        public string AddBusinessPartner(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.AddBusinessPartner(pBP, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<string> AddBusinessPartnerAsync(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.AddBusinessPartnerAsync(pBP, pCompanyParam);
        }
        
        public string UpdateBusinessPartner(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateBusinessPartner(pBP, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<string> UpdateBusinessPartnerAsync(ARGNS.Model.Implementations.SAP.BusinessPartnerSAP pBP, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateBusinessPartnerAsync(pBP, pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.View.JsonObjectResult GetBusinessPartnerListByUser(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType, bool pOnlyActiveBPs, string pCodeBP, string pNameBP, bool FilterByUser, System.Nullable<int> pSECode, string[] pBPGroupCardCodeList, bool pGetLeads, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn, bool pFilterByBP, string licTradNum) {
            return base.Channel.GetBusinessPartnerListByUser(pCompanyParam, pType, pOnlyActiveBPs, pCodeBP, pNameBP, FilterByUser, pSECode, pBPGroupCardCodeList, pGetLeads, pStart, pLength, pOrderColumn, pFilterByBP, licTradNum);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetBusinessPartnerListByUserAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Util.Enums.BpType pType, bool pOnlyActiveBPs, string pCodeBP, string pNameBP, bool FilterByUser, System.Nullable<int> pSECode, string[] pBPGroupCardCodeList, bool pGetLeads, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn, bool pFilterByBP, string licTradNum) {
            return base.Channel.GetBusinessPartnerListByUserAsync(pCompanyParam, pType, pOnlyActiveBPs, pCodeBP, pNameBP, FilterByUser, pSECode, pBPGroupCardCodeList, pGetLeads, pStart, pLength, pOrderColumn, pFilterByBP, licTradNum);
        }
        
        public ARGNS.Model.Implementations.SAP.BusinessPartnerSAP GetBusinessPartnerMinimalData(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCardCode) {
            return base.Channel.GetBusinessPartnerMinimalData(pCompanyParam, pCardCode);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP> GetBusinessPartnerMinimalDataAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCardCode) {
            return base.Channel.GetBusinessPartnerMinimalDataAsync(pCompanyParam, pCardCode);
        }
    }
}
